<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/zag.php");
include_once("include/ini.php");
include_once("include/check2.php");
include 'include/sesi.php';
if (isset($user)) {
echo'<div class="menu6">';
switch(@$go) {

default:
echo "Сообщение администрации.";
echo '<form method="post" action="helpcenter.php?go=send&'.$sd.'">';
echo '<input type="hidden" name="uzer" maxlength="15" value="'.$helper.'"/>';
echo 'Введите сообщение :<br /><input name="msg" maxlength="250" title="Ваше сообщение"/><br />';
echo '<input class="button" type="submit" value="отправить">';
echo '<postfield name="msg" value="$(msg)"/>';
echo '<postfield name="user" value="'.$loginin.'"/>';
echo "</form>";
break;

case 'send':

if ($_SERVER['HTTP_X_FORWARDED_FOR'])
{ $ip=htmlspecialchars(stripslashes($_SERVER['HTTP_X_FORWARDED_FOR'])); }
else { $ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR'])); }
$currHour=date("H",time());
$currDate=date("d F, Y", time());
$currTime=date("$currHour:i:s", time());
$currDate = str_replace("January","января",$currDate);
$currDate = str_replace("February","февраля",$currDate);
$currDate = str_replace("March","марта",$currDate);
$currDate = str_replace("April","апреля",$currDate);
$currDate = str_replace("May","мая",$currDate);
$currDate = str_replace("June","июня",$currDate);
$currDate = str_replace("July","июля",$currDate);
$currDate = str_replace("August","августа",$currDate);
$currDate = str_replace("September","сентября",$currDate);
$currDate = str_replace("October","октября",$currDate);
$currDate = str_replace("November","ноября",$currDate);
$currDate = str_replace("December","декабря",$currDate);
require_once "include/flood.php";
if (CheckIP ()){ echo"Антифлуд...";
include_once"include/down.php";
exit;}
$str=strlen($msg);
if($msg=="" || $str<6 || $str>250){echo'Письмо должно быть не менее 6 символов и не более 250 символов!';
echo'<br /><br /><a href="helpcenter.php?'.$sd.'">Вернуться</a>';
include_once"include/down.php";
exit;}
$msg = htmlspecialchars(stripslashes(trim($msg)));
$log = htmlspecialchars(stripslashes(trim($log)));
$msg = str_replace("|","",$msg);
$msg = str_replace("||","",$msg);
$msg = str_replace("\r","",$msg);
$msg = str_replace("\n","",$msg);
$msg = str_replace("\r\n","",$msg);
$log = str_replace("|","",$log);
$log = str_replace("||","",$log);
$msg=base64_encode($msg);
$tex=":::$log|$msg|$currDate|$currTime|$ip";
$proverka = @file("MySql/base123/admin/avatorka.dat");
$ster=strlen($uzer);
if (empty($proverka)){echo"Сейчас не доступно!<br />";} else{
$fal = @file("MySql/base123/reg/$uzer.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("MySql/base123/reg/$uzer.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$fp=fopen("MySql/base123/helpcenter/help.msg","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex \r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo 'Письмо успешно отправлено!';
echo'<br />Текст сообщения:<br />';
echo base64_decode($msg);
echo'<br />';}

break;
}
echo'</div>';
}else{echo"Пароль или логин неверен!";}

include_once"include/down.php";
?>









